<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="@color/white"
    android:orientation="vertical">

    <ImageView
        android:id="@+id/back_btn"
        android:layout_width="35sp"
        android:layout_height="35sp"
        android:layout_marginHorizontal="15dp"
        android:layout_marginTop="15dp"
        android:contentDescription="@string/back_button"
        android:padding="5dp"
        android:paddingStart="-15dp"
        android:paddingEnd="0dp"
        android:src="@drawable/arrow_back" />

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"

        android:layout_marginHorizontal="15dp"

        android:layout_marginVertical="25dp"
        app:cardBackgroundColor="#AEE0FF"

        app:cardCornerRadius="25dp"

        >

        <ImageView
            android:id="@+id/image"
            android:layout_width="@dimen/_150sdp"
            android:layout_height="@dimen/_150sdp"

            android:layout_gravity="center"
            android:layout_marginHorizontal="@dimen/_15sdp"
            android:layout_marginVertical="@dimen/_15sdp"
            android:src="@drawable/ic_sub_1" />

    </androidx.cardview.widget.CardView>

    <com.google.android.material.card.MaterialCardView
        android:id="@+id/plans_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"

        android:layout_marginHorizontal="15dp"
        android:layout_marginBottom="15dp"

        app:cardCornerRadius="25dp"

        app:strokeColor="@color/color_accent"
        app:strokeWidth="1dp"

        >

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <ScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_above="@id/make_payment"
                android:overScrollMode="never"
                android:scrollbars="none">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/your_plan"
                        android:visibility="gone"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"

                        android:text="@string/your_plan"
                        android:fontFamily="@font/nunito_bold"
                        android:textColor="@color/black"
                        android:textSize="@dimen/_18ssp"

                        android:layout_marginHorizontal="15dp"
                        android:layout_marginTop="15dp"

                        />

                    <com.google.android.material.card.MaterialCardView
                        android:id="@+id/year_card"
                        android:visibility="gone"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"

                        android:layout_marginHorizontal="10dp"
                        android:layout_marginVertical="10dp"
                        app:cardCornerRadius="15dp"

                        app:strokeColor="@color/color_accent"
                        app:strokeWidth="1dp"

                        app:rippleColor="@color/color_accent"

                        >

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="15dp"
                            android:layout_marginVertical="10dp">

                            <LinearLayout
                                android:id="@+id/year_check_view"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <ImageView
                                    android:id="@+id/year_check"
                                    android:visibility="gone"
                                    android:layout_width="@dimen/_25sdp"
                                    android:layout_height="@dimen/_25sdp"

                                    android:src="@drawable/sub_check_drawable"
                                    android:layout_marginStart="15dp"

                                    />

                                <TextView
                                    android:id="@+id/yearly_name"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"

                                    android:fontFamily="@font/nunito_bold"
                                    tools:text="@string/year"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/_14ssp"

                                    />

                            </LinearLayout>

                            <TextView
                                android:id="@+id/year_discount"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentEnd="true"

                                android:background="@drawable/edit_text_bg"
                                android:fontFamily="@font/nunito_regular"
                                android:paddingHorizontal="10dp"
                                tools:text="@string/_25"

                                android:textColor="@color/black"

                                android:textSize="@dimen/_12ssp"

                                android:visibility="visible"

                                android:maxLines="1"

                                />

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_below="@id/year_check_view"
                                android:layout_marginTop="10dp"
                                android:layout_marginBottom="5dp"
                                android:orientation="horizontal"
                                android:visibility="visible">

                                <TextView
                                    android:id="@+id/year_actual_price"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"

                                    android:fontFamily="@font/nunito_regular"
                                    tools:text="@string/_71_4"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/_18ssp"

                                    android:layout_marginEnd="10dp"

                                    android:maxLines="1"

                                    />

                                <TextView
                                    android:id="@+id/year_discounted_price"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"

                                    android:fontFamily="@font/nunito_bold"
                                    tools:text="@string/_53_5"
                                    android:textColor="@color/color_primary_dark"

                                    android:textSize="@dimen/_18ssp"
                                    android:maxLines="1"

                                    />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"

                                    android:layout_marginStart="5dp"
                                    android:fontFamily="@font/nunito_regular"
                                    android:text="@string/year_"
                                    android:textColor="@color/color_primary_dark"

                                    android:textSize="@dimen/_12ssp"

                                    />

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentEnd="true"
                                android:layout_alignParentBottom="true"
                                android:orientation="horizontal">

                                <TextView
                                    android:id="@+id/yearly_month_price"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"

                                    android:layout_marginStart="10dp"
                                    android:fontFamily="@font/nunito_bold"
                                    tools:text="@string/_4_46"
                                    android:textColor="@color/black"

                                    android:textSize="@dimen/_18ssp"

                                    />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"

                                    android:layout_marginStart="5dp"
                                    android:fontFamily="@font/nunito_regular"
                                    android:text="@string/mo"
                                    android:textColor="@color/black"

                                    android:textSize="@dimen/_12ssp"

                                    />

                            </LinearLayout>

                        </RelativeLayout>

                    </com.google.android.material.card.MaterialCardView>

                    <com.google.android.material.card.MaterialCardView
                        android:id="@+id/month_card"
                        android:visibility="visible"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"

                        android:layout_marginHorizontal="10dp"
                        android:layout_marginVertical="10dp"
                        app:cardCornerRadius="15dp"

                        app:strokeColor="@color/color_accent"
                        app:strokeWidth="1dp"

                        app:rippleColor="@color/color_accent"

                        >

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="15dp"
                            android:layout_marginVertical="10dp">

                            <LinearLayout
                                android:id="@+id/ll"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:orientation="horizontal">

                                <ImageView
                                    android:id="@+id/month_check"
                                    android:visibility="gone"
                                    android:layout_width="@dimen/_25sdp"
                                    android:layout_height="@dimen/_25sdp"

                                    android:src="@drawable/sub_check_drawable"
                                    android:layout_marginEnd="15dp"

                                    />

                                <TextView
                                    android:id="@+id/monthly_name"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"

                                    android:fontFamily="@font/nunito_bold"
                                    tools:text="@string/monthly"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/_14ssp"

                                    />

                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentEnd="true"
                                android:orientation="horizontal">

                                <TextView
                                    android:id="@+id/monthly_price"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"

                                    android:layout_marginStart="10dp"
                                    android:fontFamily="@font/nunito_bold"
                                    tools:text="@string/_5_95"
                                    android:textColor="@color/black"

                                    android:textSize="@dimen/_18ssp"

                                    />

                                <TextView
                                    android:id="@+id/per_month_text"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"

                                    android:layout_marginStart="5dp"
                                    android:fontFamily="@font/nunito_regular"
                                    android:text="@string/mo"
                                    android:textColor="@color/black"

                                    android:textSize="@dimen/_12ssp"

                                    />

                            </LinearLayout>

                            <LinearLayout
                                android:id="@+id/dates_view"
                                android:visibility="gone"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_below="@id/ll"
                                android:orientation="vertical"
                                android:layout_marginTop="10dp"
                                >

                                <TextView
                                    android:id="@+id/cancelled_date_text"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:visibility="gone"

                                    android:text="@string/you_cancelled_your_subscription_on"
                                    android:fontFamily="@font/nunito_regular"
                                    android:textColor="@color/black"
                                    />

                                <TextView
                                    android:id="@+id/cancelled_date"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:visibility="gone"

                                    tools:text="12-22-2001"
                                    android:fontFamily="@font/nunito_bold"
                                    android:textColor="@color/color_primary"

                                    />

                                <TextView
                                    android:id="@+id/next_due_date_text"
                                    android:visibility="gone"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"

                                    tools:text="@string/you_cancelled_your_subscription"
                                    android:fontFamily="@font/nunito_regular"
                                    android:textColor="@color/black"
                                    />

                                <TextView
                                    android:id="@+id/next_due_date"
                                    android:visibility="gone"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"

                                    tools:text="12-22-2001"
                                    android:fontFamily="@font/nunito_bold"
                                    android:textColor="@color/color_primary"

                                    />

                            </LinearLayout>

                        </RelativeLayout>

                    </com.google.android.material.card.MaterialCardView>

                    <TextView
                        android:id="@+id/contact_admin"
                        android:visibility="gone"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"

                        android:layout_marginHorizontal="15dp"
                        android:layout_marginVertical="15dp"
                        android:fontFamily="@font/nunito_regular"

                        android:textColor="@color/color_primary_dark"
                        android:textSize="@dimen/_12ssp"
                        android:text="@string/contact_email"


                        />

                    <TextView
                        android:id="@+id/description"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"

                        android:layout_marginHorizontal="15dp"
                        android:layout_marginVertical="15dp"
                        android:fontFamily="@font/nunito_regular"

                        android:textColor="@color/black"
                        android:textSize="@dimen/_14ssp"
                        tools:text="@string/proceed_to_the_payment_website_to_select_a_subscription_option_and_pay"

                        />

                </LinearLayout>

            </ScrollView>

            <com.google.android.material.button.MaterialButton
                android:id="@+id/make_payment"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"

                android:layout_alignParentBottom="true"

                android:layout_marginHorizontal="15dp"
                android:layout_marginVertical="10dp"

                android:fontFamily="@font/nunito_regular"

                android:paddingVertical="12dp"
                android:text="@string/subscribe_plus_tax"
                android:textAllCaps="false"
                android:textColor="@color/white"
                android:textSize="@dimen/_12ssp"

                app:cornerRadius="25dp"

                />

        </RelativeLayout>

    </com.google.android.material.card.MaterialCardView>

    <LinearLayout
        android:id="@+id/error_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:orientation="vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            android:text="@string/couldn_t_load_plans"
            android:fontFamily="@font/nunito_regular"
            android:textColor="@color/black"
            android:textAppearance="@style/TextAppearance.Material3.TitleLarge"

            />

        <TextView
            android:id="@+id/retry"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            android:text="@string/retry"
            android:fontFamily="@font/nunito_semibold"
            android:textColor="@color/color_primary_dark"
            android:textAppearance="@style/TextAppearance.Material3.TitleLarge"

            android:layout_gravity="center_horizontal"
            android:padding="5dp"

            />

    </LinearLayout>

</LinearLayout>

    <!--last code in the commit of 21st august 2023-->